
Figure - Bug #118401
测试 Test-ST # 111337 (New): ST测试总票

测试 Test-ST # 116840 (New): 中控联调测试-AF

【AF】【EVT3】【AUDIO】电话会议中播放视频或进入游戏，两者混音输出
2023-05-31 20:05 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-31

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0106

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 获取焦点失败时，mute视频和游戏声音，暂停音乐。

Description

【测试前提】

副屏0106

中控0082

【测试步骤】

1、副屏电话会议中

2、播放视频

3、进入游戏

【预期结果】

2、视频不可播放

3、游戏无声

【实际结果】

两者混音输出

History

#1 - 2023-06-01 15:37 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to ASSIGNED

HI ALL

当前分析：

该问题是因为，

音频播放时的焦点申请失败，

判断条件导致视频和游戏音的没有暂停。

下一步：

当前放开判断条件去暂停数据的播放。

#2 - 2023-06-05 14:08 - Multimedia组-RD3_TSCD 梁卿山
HI ALL

当前已经有方案可以解决内置视频和游戏出声的问题，提交如下：

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/204067

但该方案会导致，第三方视频播放获取不到焦点时停止声音，导致视频加速。

当前尝试让视频画面也暂停的方案：

1.在mediacodec中增加逻辑，可以让视频画面卡主；

但是无法继续播放，而且部分应用，卡主后，会选择第三方解码继续播放。

#3 - 2023-06-08 14:47 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Root cause set to 获取焦点失败时，mute视频和游戏声音，暂停音乐。

Hi 永红

该问题和118572同件，已经修复，请使用6月8日版本验证，谢谢！

#4 - 2023-06-09 15:08 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED

在 FlatBuild_HH_MCE_FSE.M.D.user.01.00.C104.202306090153 验证通过，飞书电话会议中，播放爱奇艺视频和和平精英，视频和游戏均无声音输出，退出

会议游戏和视频声音正常输出

#5 - 2023-06-25 15:31 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/204067

